Wooxy API v.3.0

Email validation info

This method allows retrieve information about a specific validation by the ID of a contact validated through the Email Validation method.

Request

POST
https://api.wooxy.com/v3/validator/email/info

IMPORTANT: Do not send more than 10 concurrent API requests.

Body Example

                                        {
            "id": validationId,
}
                                    

Parameters

Title Type Default Description

id

required
integer

The ID returned after an Email Validation request.

Response

                                        {
  "result": true,
  "data": {
    "id": resultId,
    "email": "validatedEmail",
    "stage": "validationProcessStatus",
    "status": "validatedEmailStatus",
    "comment": "resultComment",
    "createdAt": "date&time"
  }
}
                                    

Parameters

Title Type Description

result

boolean

The value indicates that the email validation info was successfully finded.

data

object

The data parameter represents a structured object containing comprehensive validation information and attributes about specific request.

data.id

integer

The identifier of validation.

data.email

string

The validated email.

data.stage

string

Status of validation process.

data.status

string

Status of validated email.

data.comment

string

Result comment of email validation.

data.createdAt

string

Date when email validated.

Method Errors

                                        {
   "result":false,
   "errors":[
      "Error description text"
   ]
}
                                    
Error

"Argument id must be an integer"

"Argument id must be greater than or equal to 1"

"Invalid authorization token!"

"Internal server error"

"Bad Request"

"no matches found for access token {accessToken} 4 user {id} not enabled"

"no data found for key {userId}"

"access token check failed for key/secret $key/$accessToken"

"Argument {argument} required"

Code Examples

PHP
                <?php

$accessToken = 'YOUR_API_KEY';
$url = 'https://api.wooxy.com/v3/validator/email/info';

$body = json_encode([
    'id' => 'validationId',
]);

$ch = curl_init($url);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($ch, CURLOPT_HTTP_VERSION, CURL_HTTP_VERSION_1_1);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_POSTFIELDS, $body);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "Access-Token: $accessToken",
    'Content-Type: application/json',
    'Content-Length: ' . strlen($body),
]);

$result = curl_exec($ch);
if ($result === false) {
    echo 'cURL error: ' . curl_error($ch) . PHP_EOL;
} else {
    echo $result . PHP_EOL;
}
curl_close($ch);

?>